> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Delete a phone number

DELETE https://api.synthflow.ai/v2/numbers/{phone_number_slug}

Deletes a phone number from your workspace. This will detach the phone number from any agents it is linked to. For phone numbers purchased through Synthflow, this also cancels the monthly subscription.

Reference: https://docs.synthflow.ai/api-reference/platform-api/phone-numbers/delete-phone-number

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /numbers/{phone_number_slug}:
    delete:
      operationId: delete-phone-number
      summary: Delete a phone number
      description: >-
        Deletes a phone number from your workspace. This will detach the phone
        number from any agents it is linked to. For phone numbers purchased
        through Synthflow, this also cancels the monthly subscription.
      tags:
        - subpackage_phoneNumbers
      parameters:
        - name: phone_number_slug
          in: path
          description: The phone number slug (phone number without the leading +).
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Phone-Numbers_delete-phone-number_Response_200
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Delete-phone-numberRequestBadRequestError'
servers:
  - url: https://api.synthflow.ai/v2
    description: Global
  - url: https://api.us.synthflow.ai/v2
    description: United States
  - url: https://api.eu.synthflow.ai/v2
    description: European Union
components:
  schemas:
    status:
      type: string
      description: Whether the request was successful.
      title: status
    Phone-Numbers_delete-phone-number_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
      title: Phone-Numbers_delete-phone-number_Response_200
    Delete-phone-numberRequestBadRequestError:
      type: object
      properties: {}
      title: Delete-phone-numberRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## Examples



**Response**

```json
{
  "status": "ok"
}
```

**SDK Code**

```python Phone-Numbers_delete-phone-number_example
import requests

url = "https://api.synthflow.ai/v2/numbers/33782990580"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```go Phone-Numbers_delete-phone-number_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/numbers/33782990580"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Phone-Numbers_delete-phone-number_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/numbers/33782990580")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Phone-Numbers_delete-phone-number_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.synthflow.ai/v2/numbers/33782990580")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp Phone-Numbers_delete-phone-number_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/numbers/33782990580");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Phone-Numbers_delete-phone-number_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/numbers/33782990580")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```